<div>
  <h2>{{title}}</h2>
</div>
<nav>
  <button routerLink="home" routerLinkActive="navbar-brand">Home</button>
  <button routerLink="details" routerLinkActive="navbar-brand">Detail</button>
</nav>
<router-outlet></router-outlet>